Name:           perl-Net-DNS-Native
Version:        0.15
Release:        2%{?dist}
Summary:        Non-blocking system DNS resolver
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Net-DNS-Native/
Source0:        http://www.cpan.org/authors/id/O/OL/OLEG/Net-DNS-Native-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::ParseXS)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires:  perl(Socket) >= 1.94
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(Socket) >= 1.94
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This class provides several methods for host name resolution. It is
designed to be used with event loops. All resolving are done by
getaddrinfo(3) implemented in your system library. Since getaddrinfo() is
blocking function and we don't want to block, calls to this function will
be done in separate thread. This class uses system native threads and not
perl threads. So overhead shouldn't be too big.

%prep
%setup -q -n Net-DNS-Native-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS"
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes META.json README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Net*
%{_mandir}/man3/*

%changelog
* Fri Jul 14 2023 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Fri Mar 18 2016 JP Pialasse  <tests@pialasse.com> 0.15-2
- Import to sme10 tree [SME: 9333]

* Tue Feb 09 2016 Daniel Berteaud <daniel@firewall-services.com> 0.15-1
- First build using cpanspec
